#include "Hazel/Core/Log.h"

#include <spdlog/sinks/stdout_color_sinks.h>

#ifdef _DEBUG
	#define LOG_LEVEL spdlog::level::trace
#else
	#define LOG_LEVEL spdlog::level::debug
#endif

namespace Hazel {

	std::shared_ptr<spdlog::logger> Log::s_CoreLogger;
	std::shared_ptr<spdlog::logger> Log::s_ClientLogger;

	void Log::init() {
		spdlog::set_pattern("%^[%T] %n: %v%$");
		s_CoreLogger = spdlog::stdout_color_mt("Hazel");
		s_CoreLogger->set_level(LOG_LEVEL);

		s_ClientLogger = spdlog::stdout_color_mt("App");
		s_ClientLogger->set_level(LOG_LEVEL);
		
	}
}
